Package fr.gouv.vitam.common.model.objectgroup

# Class VersionsModelCustomized

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.VersionsModelCustomized

public class VersionsModelCustomized extends Object
Object mapping VersionsResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionsModelCustomized()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDataObjectGroupId()`
  `String`
  `getDataObjectVersion()`
  `String`
  `getId()`
  `String`
  `getOpCurrent()`
  `String`
  `getOpIngest()`
  `List<PersistentIdentifierModel>`
  `getPersistentIdentifier()`
  `long`
  `getSize()`
  `String`
  `getStrategyId()`
  `void`
  `setDataObjectGroupId(String dataObjectGroupId)`
  `void`
  `setDataObjectVersion(String dataObjectVersion)`
  `void`
  `setId(String id)`
  `void`
  `setOpCurrent(String opCurrent)`
  `void`
  `setOpIngest(String opIngest)`
  `void`
  `setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)`
  `void`
  `setSize(long size)`
  `void`
  `setStrategyId(String strategyId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VersionsModelCustomized

    public VersionsModelCustomized()

- ## Method Details

  - ### getPersistentIdentifier

    public List<PersistentIdentifierModel> getPersistentIdentifier()

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getDataObjectVersion

    public String getDataObjectVersion()

  - ### setDataObjectVersion

    public void setDataObjectVersion(String dataObjectVersion)

  - ### getDataObjectGroupId

    public String getDataObjectGroupId()

  - ### setDataObjectGroupId

    public void setDataObjectGroupId(String dataObjectGroupId)

  - ### getSize

    public long getSize()

  - ### setSize

    public void setSize(long size)

  - ### getStrategyId

    public String getStrategyId()

  - ### setStrategyId

    public void setStrategyId(String strategyId)

  - ### getOpIngest

    public String getOpIngest()

  - ### setOpIngest

    public void setOpIngest(String opIngest)

  - ### getOpCurrent

    public String getOpCurrent()

  - ### setOpCurrent

    public void setOpCurrent(String opCurrent)

  - ### setPersistentIdentifier

    public void setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`